Subject: Re: [Linux-zigbee-devel] [PATCH 4/4] ieee802154: remove seq member of mac_cb

From: Alexander Aring <[email-masked]>
Date: Mon, 3 Mar 2014 15:10:27 +0100

On Mon, Mar 03, 2014 at 03:06:01PM +0100, Alexander Aring wrote:
> Hi,
> 
> This patch is fine. Increment and set of DSN value should be done by
> mac802154 layer.
> 
> But there is also a known issue with increment of DSN value while
> 6lowpan fragmentation.
> 
> On a fragmented packet 6lowpan calls dev_hard_header once, then many
> times lowpan_fragment_xmit, depending on the number of fragments which
> is needed.
> 
> Each call of lowpan_fragment_xmit will have the same DSN value. Maybe we
> should put the increment of DSN in "mac802154/tx.c" before calling xmit
> callback from driver (Just an idea). What do you think about that?
> 

Or maybe we can move the dev_hard_header call in lowpan_fragment_xmit
and lowpan_xmit if this is possible. But then we doesn't know the mac
header length in lowpan_skb_fragmentation. Strange...

- Alex